Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.j2ee.servlets
Class Xml4SwfServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              net.sf.jasperreports.j2ee.servlets.BaseHttpServlet
                  net.sf.jasperreports.j2ee.servlets.XmlServlet
                      net.sf.jasperreports.j2ee.servlets.Xml4SwfServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class Xml4SwfServlet

extends XmlServlet

Version:
  $Id: XmlServlet.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.jasperreports.j2ee.servlets.XmlServlet
`END_PAGE_INDEX_REQUEST_PARAMETER, PAGE_INDEX_REQUEST_PARAMETER, START_PAGE_INDEX_REQUEST_PARAMETER`

Fields inherited from class net.sf.jasperreports.j2ee.servlets.BaseHttpServlet
`BUFFERED_OUTPUT_REQUEST_PARAMETER, DEFAULT_JASPER_PRINT_LIST_SESSION_ATTRIBUTE, DEFAULT_JASPER_PRINT_SESSION_ATTRIBUTE, JASPER_PRINT_LIST_REQUEST_PARAMETER, JASPER_PRINT_REQUEST_PARAMETER`

Constructor Summary
`Xml4SwfServlet()`

Method Summary
`JRXmlExporter` | `getExporter()`

Methods inherited from class net.sf.jasperreports.j2ee.servlets.XmlServlet
`service`

Methods inherited from class net.sf.jasperreports.j2ee.servlets.BaseHttpServlet
`getJasperPrintList`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Xml4SwfServlet

    public Xml4SwfServlet()

Method Detail

### getExporter

    public JRXmlExporter getExporter()

  Overrides:
    `getExporter` in class `XmlServlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com